; PlatformIO Project Configuration File
;
;   Build options: build flags, source filter
;   Upload options: custom upload port, speed and extra flags
;   Library options: dependencies, extra library storages
;   Advanced options: extra scripting
;
; Please visit documentation for the other options and examples
; https://docs.platformio.org/page/projectconf.html

[env:teensy41]
platform = teensy
board = teensy41
framework = arduino

monitor_speed = 115200
upload_protocol = teensy-gui

lib_deps =
  https://github.com/ssilverman/QNEthernet.git

build_flags =
  -Ilib/opener
  -Ilib/opener/cip
  -Ilib/opener/cip_objects
  -Ilib/opener/enet_encap
  -Ilib/opener/utils
  -Ilib/opener/teensy_port
  -Ilib/opener/ports/teensy_port

  ${env.build_flags}
  -Wall
  -Wextra

build_src_filter =
  +<*>
  -<lib/opener/ports/>